Intermittent toolkit/components/viewsource/test/browser/browser_bug464222.js | Test timed out -

REOPENED
Unassigned

Status

()

Toolkit
View Source
P3
critical
REOPENED
a year ago
3 days ago

People

(Reporter: Treeherder Bug Filer, Unassigned)

Tracking

({bulk-close-intermittents, crash, intermittent-failure})

Firefox Tracking Flags

(Not tracked)

Details

(crash signature)

Crash Signature: [@ google_breakpad::ExceptionHandler::WriteMinidump()] [@ OT::GDEF::sanitize(OT::hb_sanitize_context_t *)] → [@ google_breakpad::ExceptionHandler::WriteMinidump()] [@ OT::GDEF::sanitize(OT::hb_sanitize_context_t *)]
Priority: -- → P3
Status: NEW → RESOLVED
Last Resolved: 10 months ago
Keywords: bulk-close-intermittents
Resolution: --- → INCOMPLETE

Comment 1

a month ago
1 failures in 814 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* try: 1

Platform breakdown:
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1356356&startday=2018-03-12&endday=2018-03-18&tree=all
Recent failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=170464747&repo=mozilla-inbound&lineNumber=5325

05:33:49     INFO -  872 INFO *** Start BrowserChrome Test Results ***
05:33:49     INFO -  873 INFO checking window state
05:33:49     INFO -  874 INFO TEST-START | toolkit/components/viewsource/test/browser/browser_bug464222.js
05:34:34     INFO -  TEST-INFO | started process screenshot
05:34:34     INFO -  TEST-INFO | screenshot: exit 0
05:34:34     INFO -  Buffered messages logged at 05:33:49
05:34:34     INFO -  875 INFO Entering test bound
05:34:34     INFO -  876 INFO Console message: [JavaScript Warning: "Use of nsIFile in content process is deprecated." {file: "resource://gre/modules/FileUtils.jsm" line: 170}]
05:34:34     INFO -  877 INFO Console message: [JavaScript Warning: "Use of nsIFile in content process is deprecated." {file: "resource://gre/modules/FileUtils.jsm" line: 170}]
05:34:34     INFO -  878 INFO Console message: [JavaScript Error: "The character encoding of the HTML document was not declared. The document will render with garbled text in some browser configurations if the document contains characters from outside the US-ASCII range. The character encoding of the page must be declared in the document or in the transfer protocol." {file: "http://example.com/browser/toolkit/components/viewsource/test/browser/file_bug464222.html" line: 0}]
05:34:34     INFO -  879 INFO Global property added while loading chrome://browser/content/nsContextMenu.js: gContextMenuContentData
05:34:34     INFO -  880 INFO Global property added while loading chrome://browser/content/nsContextMenu.js: SpellCheckHelper
05:34:34     INFO -  881 INFO Global property added while loading chrome://browser/content/nsContextMenu.js: LoginHelper
05:34:34     INFO -  882 INFO Global property added while loading chrome://browser/content/nsContextMenu.js: LoginManagerContextMenu
05:34:34     INFO -  883 INFO Global property added while loading chrome://browser/content/nsContextMenu.js: DevToolsShim
05:34:34     INFO -  884 INFO Global property added while loading chrome://global/content/viewSourceUtils.js: ViewSourceBrowser
05:34:34     INFO -  Buffered messages logged at 05:33:50
05:34:34     INFO -  885 INFO Console message: [JavaScript Warning: "Use of nsIFile in content process is deprecated." {file: "resource://gre/modules/FileUtils.jsm" line: 170}]
05:34:34     INFO -  Buffered messages finished
05:34:34    ERROR -  886 INFO TEST-UNEXPECTED-FAIL | toolkit/components/viewsource/test/browser/browser_bug464222.js | Test timed out -
05:34:34     INFO -  GECKO(6292) | MEMORY STAT | vsize 2098903MB | vsizeMaxContiguous 128643656MB | residentFast 225MB | heapAllocated 82MB
05:34:34     INFO -  887 INFO TEST-OK | toolkit/components/viewsource/test/browser/browser_bug464222.js | took 45083ms
05:34:34     INFO -  Not taking screenshot here: see the one that was previously logged
05:34:34    ERROR -  888 INFO TEST-UNEXPECTED-FAIL | toolkit/components/viewsource/test/browser/browser_bug464222.js | Found a tab after previous test timed out: view-source:data:text/html;charset=utf-8,%3Ca%20href%3D%22file_bug464222.html%22%3E%EF%B7%90I'm%20a%20link%EF%B7%AF%3C%2Fa%3E -
05:34:34     INFO -  889 INFO checking window state
05:34:34     INFO -  890 INFO TEST-START | toolkit/components/viewsource/test/browser/browser_bug713810.js
05:36:18     INFO -  Not taking screenshot here: see the one that was previously logged
05:36:18     INFO -  Buffered messages logged at 05:34:34
05:36:18     INFO -  891 INFO Entering test bound
05:36:18     INFO -  892 INFO Console message: [JavaScript Error: "The character encoding of the HTML document was not declared. The document will render with garbled text in some browser configurations if the document contains characters from outside the US-ASCII range. The character encoding of the page must be declared in the document or in the transfer protocol." {file: "data:text/html,<html%20xmlns="http://www.w3.org/1999/xhtml"><body><p>This%20is%20a%20paragraph.</p></body></html>" line: 0}]
05:36:18     INFO -  Buffered messages finished
05:36:18    ERROR -  893 INFO TEST-UNEXPECTED-FAIL | toolkit/components/viewsource/test/browser/browser_bug713810.js | Test timed out -
05:36:18     INFO -  894 INFO TEST-PASS | toolkit/components/viewsource/test/browser/browser_bug713810.js | Correct source for text/html - "<p>This is a paragraph.</p>" == "<p>This is a paragraph.</p>" -
05:36:18     INFO -  GECKO(6292) | MEMORY STAT | vsize 2098916MB | vsizeMaxContiguous 128643656MB | residentFast 225MB | heapAllocated 78MB
05:36:18     INFO -  895 INFO TEST-OK | toolkit/components/viewsource/test/browser/browser_bug713810.js | took 104138ms
05:36:18     INFO -  Not taking screenshot here: see the one that was previously logged
05:36:18    ERROR -  896 INFO TEST-UNEXPECTED-FAIL | toolkit/components/viewsource/test/browser/browser_bug713810.js | Found a tab after previous test timed out: about:blank -
05:36:18     INFO -  897 INFO checking window state
05:36:18     INFO -  898 INFO TEST-START | toolkit/components/viewsource/test/browser/browser_gotoline.js
05:36:19     INFO -  GECKO(6292) | MEMORY STAT | vsize 2098921MB | vsizeMaxContiguous 128643656MB | residentFast 226MB | heapAllocated 77MB
05:36:19     INFO -  899 INFO TEST-OK | toolkit/components/viewsource/test/browser/browser_gotoline.js | took 952ms
05:36:19     INFO -  900 INFO checking window state
05:36:19     INFO -  901 INFO TEST-START | toolkit/components/viewsource/test/browser/browser_open_docgroup.js
05:36:20     INFO -  GECKO(6292) | MEMORY STAT | vsize 2098916MB | vsizeMaxContiguous 128643656MB | residentFast 224MB | heapAllocated 78MB
05:36:20     INFO -  902 INFO TEST-OK | toolkit/components/viewsource/test/browser/browser_open_docgroup.js | took 534ms
05:36:20     INFO -  903 INFO checking window state
05:36:20     INFO -  904 INFO TEST-START | toolkit/components/viewsource/test/browser/browser_srcdoc.js
05:36:20     INFO -  GECKO(6292) | MEMORY STAT | vsize 2098921MB | vsizeMaxContiguous 128643656MB | residentFast 229MB | heapAllocated 79MB
05:36:20     INFO -  905 INFO TEST-OK | toolkit/components/viewsource/test/browser/browser_srcdoc.js | took 497ms
05:36:20     INFO -  906 INFO checking window state
05:36:20     INFO -  907 INFO TEST-START | toolkit/components/viewsource/test/browser/browser_viewsourceprefs.js
05:36:22     INFO -  GECKO(6292) | MEMORY STAT | vsize 2098936MB | vsizeMaxContiguous 128643656MB | residentFast 251MB | heapAllocated 91MB
05:36:22     INFO -  908 INFO TEST-OK | toolkit/components/viewsource/test/browser/browser_viewsourceprefs.js | took 2009ms
05:36:22     INFO -  909 INFO checking window state
05:36:24     INFO -  GECKO(6292) | Completed ShutdownLeaks collections in process 9056
05:36:24     INFO -  GECKO(6292) | Completed ShutdownLeaks collections in process 8736
05:36:24     INFO -  GECKO(6292) | Completed ShutdownLeaks collections in process 9084
05:36:24     INFO -  GECKO(6292) | Completed ShutdownLeaks collections in process 4656
05:36:24     INFO -  GECKO(6292) | Completed ShutdownLeaks collections in process 6292
05:36:24     INFO -  910 INFO TEST-START | Shutdown
05:36:24     INFO -  911 INFO Browser Chrome Test Summary
05:36:24     INFO -  912 INFO Passed:  54
05:36:24  WARNING -  913 INFO Failed:  4
05:36:24  WARNING -  One or more unittests failed.
05:36:24     INFO -  914 INFO Todo:    0
05:36:24     INFO -  915 INFO Mode:    e10s
05:36:24     INFO -  916 INFO *** End BrowserChrome Test Results ***
05:36:24     INFO -  GECKO(6292) | Unable to read VR Path Registry from C:\Users\GenericWorker\AppData\Local\openvr\openvrpaths.vrpath
05:36:24     INFO -  GECKO(6292) | [Parent 6292, Gecko_IOThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
05:36:24     INFO -  GECKO(6292) | Unable to read VR Path Registry from C:\Users\GenericWorker\AppData\Local\openvr\openvrpaths.vrpath
05:36:24     INFO -  GECKO(6292) | [Child 9084, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
05:36:24     INFO -  GECKO(6292) | [Child 9084, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
05:36:24     INFO -  GECKO(6292) | [Parent 6292, Gecko_IOThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
05:36:24     INFO -  GECKO(6292) | Unable to read VR Path Registry from C:\Users\GenericWorker\AppData\Local\openvr\openvrpaths.vrpath
05:36:24     INFO -  GECKO(6292) | [Child 4656, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
05:36:24     INFO -  GECKO(6292) | [Child 4656, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
05:36:24     INFO -  GECKO(6292) | [Parent 6292, Gecko_IOThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
05:36:24     INFO -  GECKO(6292) | Unable to read VR Path Registry from C:\Users\GenericWorker\AppData\Local\openvr\openvrpaths.vrpath
05:36:24     INFO -  GECKO(6292) | [Child 8736, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
05:36:24     INFO -  GECKO(6292) | [Parent 6292, Gecko_IOThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
05:36:24     INFO -  GECKO(6292) | Unable to read VR Path Registry from C:\Users\GenericWorker\AppData\Local\openvr\openvrpaths.vrpath
05:36:24     INFO -  GECKO(6292) | [Child 9056, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
05:36:24     INFO -  GECKO(6292) | [Child 9056, Chrome_ChildThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 346
05:36:24     INFO -  GECKO(6292) | [Parent 6292, Gecko_IOThread] WARNING: file z:/build/build/src/ipc/chromium/src/base/process_util_win.cc, line 188
05:36:24     INFO -  GECKO(6292) | 1522128984956	Marionette	DEBUG	Received observer notification xpcom-will-shutdown
05:36:24     INFO -  GECKO(6292) | 1522128984957	Marionette	DEBUG	New connections will no longer be accepted
05:36:25     INFO -  TEST-INFO | Main app process: exit 0
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---

Comment 3

24 days ago
1 failures in 718 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* windows10-64: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1356356&startday=2018-03-26&endday=2018-04-01&tree=trunk

Comment 4

3 days ago
1 failures in 782 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 1

Platform breakdown:
* windows7-32: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1356356&startday=2018-04-16&endday=2018-04-22&tree=trunk
You need to log in before you can comment on or make changes to this bug.